# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

package Bugzilla::Extension::RuleEngine::Util;
use strict;
use warnings;
use 5.10.1;
use base qw(Exporter);
our @EXPORT = qw(
    message_2_array
);

# This file can be loaded by your extension via
# "use Bugzilla::Extension::RuleEngine::Util". You can put functions
# used by your extension in here. (Make sure you also list them in
# @EXPORT.)

sub message_2_array {
  my $vars = shift;

  if (!$vars->{message} || ref($vars->{message}) ne 'ARRAY') {
    my $tmp     = $vars->{message} // "";
    my @message = ();
    push(@message, [$tmp, {}]) if ($tmp && $tmp ne "");
    $vars->{message} = \@message;
  }

  return;
}

1;
